import cxapi = require('@aws-cdk/cx-api');
import { Tag } from "./cxapp/stacks";
import { DeployStackResult } from './deploy-stack';
import { ISDK } from './util/sdk';
/** @experimental */
export declare const BUCKET_NAME_OUTPUT = "BucketName";
/** @experimental */
export declare const BUCKET_DOMAIN_NAME_OUTPUT = "BucketDomainName";
export interface BootstrapEnvironmentProps {
    /**
     * The name to be given to the CDK Bootstrap bucket.
     *
     * @default - a name is generated by CloudFormation.
     */
    readonly bucketName?: string;
    /**
     * The ID of an existing KMS key to be used for encrypting items in the bucket.
     *
     * @default - the default KMS key for S3 will be used.
     */
    readonly kmsKeyId?: string;
    /**
     * Tags for cdktoolkit stack.
     *
     * @default - None.
     */
    tags?: Tag[];
}
/** @experimental */
export declare function bootstrapEnvironment(environment: cxapi.Environment, aws: ISDK, toolkitStackName: string, roleArn: string | undefined, props?: BootstrapEnvironmentProps): Promise<DeployStackResult>;
