import cxapi = require('@aws-cdk/cx-api');
import { Tag } from "../api/cxapp/stacks";
import { ToolkitInfo } from './toolkit-info';
import { ISDK } from './util/sdk';
/** @experimental */
export interface DeployStackResult {
    readonly noOp: boolean;
    readonly outputs: {
        [name: string]: string;
    };
    readonly stackArn: string;
}
/** @experimental */
export interface DeployStackOptions {
    stack: cxapi.CloudFormationStackArtifact;
    sdk: ISDK;
    toolkitInfo?: ToolkitInfo;
    roleArn?: string;
    notificationArns?: string[];
    deployName?: string;
    quiet?: boolean;
    ci?: boolean;
    reuseAssets?: string[];
    tags?: Tag[];
}
/** @experimental */
export declare function deployStack(options: DeployStackOptions): Promise<DeployStackResult>;
/** @experimental */
export interface DestroyStackOptions {
    stack: cxapi.CloudFormationStackArtifact;
    sdk: ISDK;
    roleArn?: string;
    deployName?: string;
    quiet?: boolean;
}
/** @experimental */
export declare function destroyStack(options: DestroyStackOptions): Promise<void>;
