import AWS = require('aws-sdk');
/**
 * A utility class to inspect CloudFormation stack statuses.
 *
 * @see https://docs.aws.amazon.com/AWSCloudFormation/latest/UserGuide/using-cfn-describing-stacks.html
 */
export declare class StackStatus {
    readonly name: string;
    readonly reason?: string | undefined;
    static fromStackDescription(description: AWS.CloudFormation.Stack): StackStatus;
    constructor(name: string, reason?: string | undefined);
    readonly isCreationFailure: boolean;
    readonly isDeleted: boolean;
    readonly isFailure: boolean;
    readonly isRollback: boolean;
    readonly isStable: boolean;
    readonly isSuccess: boolean;
    toString(): string;
}
