import cxapi = require('@aws-cdk/cx-api');
import { ISDK } from '../api/util/sdk';
import { Context } from '../settings';
import { ContextProviderPlugin } from './provider';
declare type ProviderConstructor = (new (sdk: ISDK) => ContextProviderPlugin);
export declare type ProviderMap = {
    [name: string]: ProviderConstructor;
};
/**
 * Iterate over the list of missing context values and invoke the appropriate providers from the map to retrieve them
 */
export declare function provideContextValues(missingValues: cxapi.MissingContext[], context: Context, sdk: ISDK): Promise<void>;
/**
 * Register a context provider
 *
 * (Only available for testing right now).
 */
export declare function registerContextProvider(name: string, provider: ProviderConstructor): void;
export {};
